Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-103668

Plugins & FreeNAS will not update/show plugins

    XMLWordPrintable

    Details

      Description

      Plugins will not show, it just spins and spins. FreeNAS will not look for updates. 

       

      Yes, I have DNS setup to 8.8.8.8 & 8.8.4.4. I also have my router setup in FreeNAS settings as 10.0.1.1. I am also able to ping google.com. Please see below for the error I receive after about a minute or two of the plugins/FreeNAS update tries to load.

       

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1269, in _clone_repo
          repo = git.Repo(destination)
        File "/usr/local/lib/python3.6/site-packages/git/repo/base.py", line 124, in __init__
          raise NoSuchPathError(epath)
      git.exc.NoSuchPathError: /mnt/FreeNASstripe/iocage/.plugin_index

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 636, in __clone_pull_plugin_index
          self._clone_repo(self.branch, git_server, git_working_dir, callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1307, in _clone_repo
          k: v for k, v in kwargs.items() if v
        File "/usr/local/lib/python3.6/site-packages/git/repo/base.py", line 982, in clone_from
          return cls._clone(git, url, to_path, GitCmdObjectDB, progress, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/git/repo/base.py", line 933, in _clone
          finalize_process(proc, stderr=stderr)
        File "/usr/local/lib/python3.6/site-packages/git/util.py", line 336, in finalize_process
          proc.wait(**kwargs)
        File "/usr/local/lib/python3.6/site-packages/git/cmd.py", line 418, in wait
          raise GitCommandError(self.args, status, errstr)
      git.exc.GitCommandError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/FreeNASstripe/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/FreeNASstripe/iocage/.plugin_index'...
      POST git-upload-pack (527 bytes)
      error: RPC failed; curl 56 OpenSSL SSL_read: SSL_ERROR_SYSCALL, errno 54
      fatal: The remote end hung up unexpectedly
      fatal: early EOF
      fatal: index-pack failed
      '

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 544, in list_resource
          header=False)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 914, in fetch
          icon=True, official=official)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 654, in fetch_plugin_index
          self.__clone_pull_plugin_index()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 643, in __clone_pull_plugin_index
          _callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
          _callback(content, exception)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
          raise callback_exception(message)
      RuntimeError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/FreeNASstripe/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/FreeNASstripe/iocage/.plugin_index'...
      POST git-upload-pack (527 bytes)
      error: RPC failed; curl 56 OpenSSL SSL_read: SSL_ERROR_SYSCALL, errno 54
      fatal: The remote end hung up unexpectedly
      fatal: early EOF
      fatal: index-pack failed
      '
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1096, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1041, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1061, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      RuntimeError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/FreeNASstripe/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/FreeNASstripe/iocage/.plugin_index'...
      POST git-upload-pack (527 bytes)
      error: RPC failed; curl 56 OpenSSL SSL_read: SSL_ERROR_SYSCALL, errno 54
      fatal: The remote end hung up unexpectedly
      fatal: early EOF
      fatal: index-pack failed

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Release Council
                Reporter:
                joeydicapua Joey
                Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: